# Copyright 2016-2023 Cerebras Systems
# SPDX-License-Identifier: BSD-3-Clause

"""Contains all Cerebras compliant Optimizer and LR scheduler classes."""
from . import lr_scheduler, scheduler, weight_decay_scheduler
from .Adadelta import Adadelta
from .Adafactor import Adafactor
from .Adagrad import Adagrad
from .Adamax import Adamax
from .AdamBase import Adam, AdamW
from .ASGD import ASGD
from .Lamb import Lamb
from .Lion import Lion
from .NAdam import NAdam
from .optimizer import Optimizer
from .RAdam import RAdam
from .RMSprop import RMSprop
from .Rprop import Rprop
from .SGD import SGD

__all__ = [
    "Optimizer",
    # Subclasses must be listed here for docs to be autogenerated
    "Adadelta",
    "Adafactor",
    "Adagrad",
    "Adamax",
    "Adam",
    "AdamW",
    "ASGD",
    "Lamb",
    "Lion",
    "NAdam",
    "Optimizer",
    "RAdam",
    "RMSprop",
    "Rprop",
    "SGD",
    "scheduler",
    "lr_scheduler",
    "weight_decay_scheduler",
]
